# vue3-ts-vite-starter-template

A single page app [Vite](https://vitejs.dev) starter template, created to easily bootstrap Vue.js 3 apps.

**Features**

- Vue 3
- Vite 6
- TypeScript 5
- Vitest 3 for unit testing
- Pinia 3 for state management
- Vue Router 4 for client-side routing
- Tailwind 4 for layout and styling
- SCSS variables inside Vue components
- Purgecss for eliminating unused CSS
- Basic multiple layouts feature
- ESLint config based on [neostandard](https://github.com/neostandard/neostandard) with sensible defaults :relaxed:
- [Prettier](https://prettier.io/) for code formatting
- Automated release workflow with [semantic-release](https://github.com/semantic-release/semantic-release)

## Project setup

```
pnpm install
```

### Compiles and hot-reloads for development

```
pnpm run dev
```

### Compiles and minifies for production

```
pnpm run build
```

## Run your unit tests

```
pnpm run test:unit
```

### Lints files

```
pnpm run lint
```

### Lints and fixes files

```
pnpm run lint-fix
```

### Runs Typechecks

```
pnpm run typecheck
```

### Customize configuration

See [Configuration Reference](https://vitejs.dev/guide/).
